After upgrading lightdm, system boots to the tty1 terminal

Bug #1365336 reported by Elfy on 2014-09-04
82
This bug affects 15 people
Affects Status Importance Assigned to Milestone
X.Org X server
Invalid
Undecided
Unassigned
fglrx-installer (Ubuntu)
Critical
Alberto Milone
Nominated for Utopic by Alberto Salvia Novella
fglrx-installer-updates (Ubuntu)
Critical
Alberto Milone
Nominated for Utopic by Alberto Salvia Novella
lightdm (Ubuntu)
Critical
Robert Ancell
Nominated for Utopic by Alberto Salvia Novella
nvidia-graphics-drivers-304 (Ubuntu)
Critical
Alberto Milone
Nominated for Utopic by Alberto Salvia Novella
nvidia-graphics-drivers-331 (Ubuntu)
Critical
Alberto Milone
Nominated for Utopic by Alberto Salvia Novella
nvidia-graphics-drivers-331-updates (Ubuntu)
Critical
Alberto Milone
Nominated for Utopic by Alberto Salvia Novella
xserver-xorg-video-vesa (Ubuntu)
Critical
Unassigned
Nominated for Utopic by Alberto Salvia Novella
xserver-xorg-video-vmware (Ubuntu)
Critical
Unassigned
Nominated for Utopic by Alberto Salvia Novella

Bug Description

HOW TO REPRODUCE:
- Upgrade from lightdm from 1.11.7-0ubuntu1 to 1.11.8-0ubuntu1.

RESULT:
- The system boots into the tty1 terminal.
- Logging in at tty1 and starting the startx front-end leads to a desktop that requires password to start properly, and without themes applied.
- If you try to reboot, you are asked to enter a password.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: lightdm 1.11.8-0ubuntu1
ProcVersionSignature: Ubuntu 3.16.0-12.18-generic 3.16.1
Uname: Linux 3.16.0-12-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.7-0ubuntu1
Architecture: amd64
CurrentDesktop: XFCE
Date: Thu Sep 4 08:20:14 2014
InstallationDate: Installed on 2014-07-17 (48 days ago)
InstallationMedia: Xubuntu 14.10 "Utopic Unicorn" - Alpha amd64 (20140717)
SourcePackage: lightdm
UpgradeStatus: No upgrade log present (probably fresh install)

Elfy (elfy) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm (Ubuntu):
status: New → Confirmed
dino99 (9d9) wrote :

might be a lp:1365039 dupe

Elfy (elfy) wrote :

looks like - couldn't find anything 7 hours ago

Elfy (elfy) wrote :

actually not sure now - I accepted all updates except lightdm - get no desktop in that install

dino99 (9d9) wrote :

so latest systemd-shim upgrade might be blamed then. (its my bug report choice)

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1365336

tags: added: iso-testing
Elfy (elfy) wrote :

@dino99 - no -shim upgrade available here unless I allow -proposed repos - so error here is apparently only lightdm

description: updated
Laércio de Sousa (lbssousa) wrote :

I've installed Lubuntu 14.10beta1 in a VirtualBox VM, executed "apt full-upgrade", and rebooted. I could not be able to reproduce this error: everything goes fine to me.

@elfy did you try to restart lightdm service after failure (sudo restart lightdm)?

Elfy (elfy) wrote :

yep - I did.

Booting xubuntu live session - same thing - not desktop

Laércio de Sousa (lbssousa) wrote :

@elfy could you please attach here the output of following commands?

loginctl show-seat seat0

loginctl seat-status seat0

I've seen you're using nvidia proprietary drivers, right?

---

Robert Ancell, I suspect this is an example of that "critical case" I've pointed out in bug #1590581: main graphics device is not yet ready for seat0 when lightdm starts, so it faces seat0 with property CanGraphical=no. What do you think about it?

dino99 (9d9) wrote :

Here is the output here: loged with gdm (as lightdm fails) & 'nouveau' used

oem@u32:~$ loginctl show-seat seat0
Id=seat0
ActiveSession=c2
CanMultiSession=yes
CanTTY=yes
CanGraphical=no
Sessions=c2 c1
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0

Elfy (elfy) wrote :

yep - using nvidia

loginctl show-seat seat0
Id=seat0
ActiveSession=c1
CanMultiSession=yes
CanTTY=yes
CanGraphical=no
Sessions=c1
IdleHint=no
IdleSinceHint=1409841376211573
IdleSinceHintMonotonic=407376086

loginctl seat-status seat0
seat0
 Sessions: *c1
  Devices:
    ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
    │ input:input1 "Power Button"
    ├─/sys/device...XSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
    │ input:input0 "Power Button"
    ├─/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/card0
    │ drm:card0
    ├─/sys/device...0000:00/0000:00:01.0/0000:01:00.1/sound/card0
    │ sound:card0 "NVidia"
    │ ├─/sys/device...00:00:01.0/0000:01:00.1/sound/card0/input10
    │ │ input:input10 "HDA NVidia HDMI/DP,pcm=8"
    │ ├─/sys/device...00:00:01.0/0000:01:00.1/sound/card0/input11
    │ │ input:input11 "HDA NVidia HDMI/DP,pcm=9"
    │ ├─/sys/device...000:00:01.0/0000:01:00.1/sound/card0/input8
    │ │ input:input8 "HDA NVidia HDMI/DP,pcm=3"
    │ └─/sys/device...000:00:01.0/0000:01:00.1/sound/card0/input9
    │ input:input9 "HDA NVidia HDMI/DP,pcm=7"
    ├─/sys/devices/pci0000:00/0000:00:1a.0/usb1
    │ usb:usb1
    │ └─/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1
    │ usb:1-1
    │ ├─/sys/device....0/usb1/1-1/1-1.1/1-1.1:1.0/input/input12
    │ │ input:input12 "UVC Camera (046d:0825)"
    │ ├─/sys/device...b1/1-1/1-1.1/1-1.1:1.0/video4linux/video0
    │ │ video4linux:video0 "UVC Camera (046d:0825)"
    │ └─/sys/device...1a.0/usb1/1-1/1-1.1/1-1.1:1.2/sound/card2
    │ sound:card2 "U0x46d0x825"
    ├─/sys/device...00:1c.5/0000:04:00.0/0000:05:01.0/sound/card1
    │ sound:card1 "Audigy"
    ├─/sys/devices/pci0000:00/0000:00:1d.0/usb2
    │ usb:usb2
    │ └─/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1
    │ usb:2-1
    │ ├─/sys/device...-1.5:1.0/0003:045E:0039.0001/input/input5
    │ │ input:input5 "Microsoft Microsoft 5-Bu...ntelliEye(TM)"
    │ ├─/sys/device...-1.6:1.0/0003:045E:00B4.0002/input/input6
    │ │ input:input6 "Microsoft Microsoft® Di...edia Keyboard"
    │ └─/sys/device...-1.6:1.1/0003:045E:00B4.0003/input/input7
    │ input:input7 "Microsoft Microsoft® Di...edia Keyboard"
    │ ├─/sys/devic.../0003:045E:00B4.0003/input/input7/event4
    │ │ input:event4
    │ └─/sys/devic...1.1/0003:045E:00B4.0003/input/input7/js0
    │ input:js0
    └─/sys/devices/virtual/misc/kvm
      misc:kvm

Purged nvidia and associated - booted with nouveau and I got tty7 and logged in ok

Elfy (elfy) wrote :

All that aside - I have had the same issue booting today's daily xubuntu image - that doesn't use nvidia.

Elfy (elfy) wrote :

mmm - actually it appears that instead of starting the Xubuntu session it's starting the Xfce session instead

Laércio de Sousa (lbssousa) wrote :

@elfy
Create a file named /etc/udev/rules.d/71-nvidia.rules with the following content (don't break lines):

SUBSYSTEM=="pci", DEVPATH=="/devices/pci0000:00/0000:00:01.0/0000:01:00.0", TAG+="seat", TAG+="master-of-seat"

Then run "udevadm trigger" (or just reboot your machine).

Laércio de Sousa (lbssousa) wrote :

@elfy
After creating that udev rule and loaded it, run "loginctl seat-status seat0" once again and check if there's a device tagged with [MASTER].

Elfy (elfy) wrote :

no device tagged with [MASTER]

Laércio de Sousa (lbssousa) wrote :

@elfy

OK, let's try again. Update your file /etc/udev/rules.d/71-nvidia.rules with the following content (again, put all of them in a single line):

TAG=="seat", DEVPATH=="/devices/pci0000:00/0000:00:01.0/0000:01:00.0/*", TAG+="master-of-seat"

Run "sudo udevadm trigger" and see if your device /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/card0 was tagged with [MASTER].

Elfy (elfy) wrote :

did that - had to reboot rather than run udevadm command - startx hangs now - nothing happens

Laércio de Sousa (lbssousa) wrote :

Could you put again the output of "loginctl seat-status seat0" after applying your udev rule? Attach your file /var/log/Xorg.0.log after startx failure, too.

Elfy (elfy) wrote :

Seems I was too hasty - sort of ... desktop did boot eventually - 100 seconds or something.

loginctl seat-status seat0
seat0
        Sessions: c1
         Devices:
                  ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
                  │ input:input1 "Power Button"
                  ├─/sys/device...SYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
                  │ input:input0 "Power Button"
                  ├─/sys/device...i0000:00/0000:00:01.0/0000:01:00.0/drm/card0
                  │ drm:card0
                  ├─/sys/device...000:00/0000:00:01.0/0000:01:00.1/sound/card1
                  │ sound:card1 "NVidia"
                  │ ├─/sys/device...0:00:01.0/0000:01:00.1/sound/card1/input10
                  │ │ input:input10 "HDA NVidia HDMI/DP,pcm=8"
                  │ ├─/sys/device...0:00:01.0/0000:01:00.1/sound/card1/input11
                  │ │ input:input11 "HDA NVidia HDMI/DP,pcm=9"
                  │ ├─/sys/device...00:00:01.0/0000:01:00.1/sound/card1/input8
                  │ │ input:input8 "HDA NVidia HDMI/DP,pcm=3"
                  │ └─/sys/device...00:00:01.0/0000:01:00.1/sound/card1/input9
                  │ input:input9 "HDA NVidia HDMI/DP,pcm=7"
                  ├─/sys/devices/pci0000:00/0000:00:1a.0/usb1
                  │ usb:usb1
                  │ └─/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1
                  │ usb:1-1
                  │ ├─/sys/devic....0/usb1/1-1/1-1.1/1-1.1:1.0/input/input12
                  │ │ input:input12 "UVC Camera (046d:0825)"
                  │ ├─/sys/devic...b1/1-1/1-1.1/1-1.1:1.0/video4linux/video0
                  │ │ video4linux:video0 "UVC Camera (046d:0825)"
                  │ └─/sys/devic...1a.0/usb1/1-1/1-1.1/1-1.1:1.2/sound/card2
                  │ sound:card2 "U0x46d0x825"
                  ├─/sys/device...0:1c.5/0000:04:00.0/0000:05:01.0/sound/card0
                  │ sound:card0 "Audigy"
                  ├─/sys/devices/pci0000:00/0000:00:1d.0/usb2
                  │ usb:usb2
                  │ └─/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1
                  │ usb:2-1
                  │ ├─/sys/devic...-1.5:1.0/0003:045E:0039.0001/input/input5
                  │ │ input:input5 "Microsoft Microsoft 5-B...ntelliEye(TM)"
                  │ ├─/sys/devic...-1.6:1.0/0003:045E:00B4.0002/input/input6
                  │ │ input:input6 "Microsoft Microsoft® D...edia Keyboard"
                  │ └─/sys/devic...-1.6:1.1/0003:045E:00B4.0003/input/input7
                  │ input:input7 "Microsoft Microsoft® D...edia Keyboard"
                  │ ├─/sys/devic...0003:045E:00B4.0003/input/input7/event4
                  │ │ input:event4
                  │ └─/sys/devic....1/0003:045E:00B4.0003/input/input7/js0
                  │ input:js0
                  └─/sys/devices/virtual/misc/kvm
                    misc:kvm

lines 1-46

Laércio de Sousa (lbssousa) wrote :

Not yet tagged as [MASTER]. Let's try again with something even more simple.

Update your file /etc/udev/rules.d/71-nvidia.rules with this rule:

SUBSYSTEM=="drm", KERNEL=="card[0-9]*", TAG+="master-of-seat"

Double check if filename is correct (a common mistake from mine is putting a .conf extension instead of .rules). Reboot your computer and check once again.

Elfy (elfy) wrote :

me bad ... didn't call it.conf - didn't call it .rules either ... many apologies

So - I went back to #16

Boots properly,

seat0
        Sessions: *c2 c1
         Devices:
                  ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
                  │ input:input1 "Power Button"
                  ├─/sys/device...XSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
                  │ input:input0 "Power Button"
                  ├─/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0
                  │ [MASTER] pci:0000:01:00.0
                  │ └─/sys/device...0000:00/0000:00:01.0/0000:01:00.0/drm/card0
                  │ drm:card0
                  ├─/sys/device...0000:00/0000:00:01.0/0000:01:00.1/sound/card0
                  │ sound:card0 "NVidia"
                  │ ├─/sys/device...00:00:01.0/0000:01:00.1/sound/card0/input10
                  │ │ input:input10 "HDA NVidia HDMI/DP,pcm=8"
                  │ ├─/sys/device...00:00:01.0/0000:01:00.1/sound/card0/input11
                  │ │ input:input11 "HDA NVidia HDMI/DP,pcm=9"
                  │ ├─/sys/device...000:00:01.0/0000:01:00.1/sound/card0/input8
                  │ │ input:input8 "HDA NVidia HDMI/DP,pcm=3"
                  │ └─/sys/device...000:00:01.0/0000:01:00.1/sound/card0/input9
                  │ input:input9 "HDA NVidia HDMI/DP,pcm=7"
                  ├─/sys/devices/pci0000:00/0000:00:1a.0/usb1
                  │ usb:usb1
                  │ └─/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1
                  │ usb:1-1
                  │ ├─/sys/device....0/usb1/1-1/1-1.1/1-1.1:1.0/input/input12
                  │ │ input:input12 "UVC Camera (046d:0825)"
                  │ ├─/sys/device...b1/1-1/1-1.1/1-1.1:1.0/video4linux/video0
                  │ │ video4linux:video0 "UVC Camera (046d:0825)"
                  │ └─/sys/device...1a.0/usb1/1-1/1-1.1/1-1.1:1.2/sound/card2
                  │ sound:card2 "U0x46d0x825"
                  ├─/sys/device...00:1c.5/0000:04:00.0/0000:05:01.0/sound/card1
                  │ sound:card1 "Audigy"
                  ├─/sys/devices/pci0000:00/0000:00:1d.0/usb2
                  │ usb:usb2
                  │ └─/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1
                  │ usb:2-1
                  │ ├─/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2
                  │ │ usb:2-1.2
                  │ ├─/sys/device...-1.5:1.0/0003:045E:0039.0001/input/input5
                  │ │ input:input5 "Microsoft Microsoft 5-Bu...ntelliEye(TM)"
                  │ ├─/sys/device...-1.6:1.0/0003:045E:00B4.0002/input/input6
                  │ │ input:input6 "Microsoft Microsoft® Di...edia Keyboard"
                  │ └─/sys/device...-1.6:1.1/0003:045E:00B4.0003/input/input7
                  │ input:input7 "Microsoft Microsoft® Di...edia Keyboard"
                  │ ├─/sys/devic.../0003:045E:00B4.0003/input/input7/event4
                  │ │ input:event4
                  │ └─/sys/devic...1.1/0003:045E:00B4.0003/input/input7/js0
                  │ input:js0
                  └─/sys/devices/virtual/misc/kvm
                    misc:kvm

Laércio de Sousa (lbssousa) wrote :

Great! Now you have your NVIDIA graphics card tagged as [MASTER].

Could you check output of command "loginctl show-seat seat0" once again? Does it show CanGraphical=yes now? Did lightdm goes back to normal?

Elfy (elfy) wrote :

CanGraphical=yes

All is well here currently :)

Thanks for the help, sorry for the waste of 4 hours.

Laércio de Sousa (lbssousa) wrote :

Now that your system is working again, could you make some more tests?

Here are 4 alternative rules for your file /etc/udev/rules.d/71-nvidia.rules. Could you please test each of them and see if your system breaks?

First alternative (should work):
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", TAG+="master-of-seat"

Second alternative:
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", ATTRS{vendor}=="0x10de", TAG+="master-of-seat"

Third alternative:
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", DRIVER=="nvidia", TAG+="master-of-seat"

Fourth alternative:
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", ATTRS{vendor}=="0x10de", DRIVER=="nvidia", TAG+="master-of-seat"

Elfy (elfy) wrote :

loginctl show-seat seat0 for all 4 alternatives attached.

Summary

1 - works
2 - works
3 - fails
4 - fails

Jamie Strandboge (jdstrand) wrote :

FYI I see this in a utopic amd64 qemu VM.

Jamie Strandboge (jdstrand) wrote :

Downgrading to lightdm 1.11.7 solves the issue for me.

Laércio de Sousa (lbssousa) wrote :

Please take these two last alternatives:

Fifth alternative:
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", DRIVERS=="nvidia", TAG+="master-of-seat"

Sixth alternative:
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", ATTRS{vendor}=="0x10de", DRIVERS=="nvidia", TAG+="master-of-seat"

Laércio de Sousa (lbssousa) wrote :

Well... Now I can tell the whole story:

1. Following http://www.freedesktop.org/wiki/Software/systemd/writing-display-managers/ , LightDM gains automatic multiseat support in release 1.11.7. This support improves a bit in release 1.11.8, which now watches on changes in property "CanGraphical" of logind seats. LightDM only spawns a greeter on a seat that has property "CanGraphical=yes".

2. Reading systemd-logind source code, I've found that a requisite to a logind seat gain property "CanGraphical=yes" is attaching a device tagged in udev as "master-of-seat" to it.

3. systemd-logind ships a default set of udev rules that tags any framebuffer devices (/dev/fb*) as "master-of-seat", which is OK for all KMS-compliant video drivers like Intel, Nouveau (open-source driver for NVIDIA graphics devices) and Radeon (open-source driver for AMD graphics devices).

4. However, NVIDIA or AMD proprietary drivers don't expose kernel framebuffer devices, so they need their own udev rule to tag another kernel device they expose as "master-of-seat" (in @elfy example, we tag kernel device /dev/dri/card0):

SUBSYSTEM=="drm", KERNEL=="card[0-9]*", ATTRS{vendor}=="0x10de", TAG+="master-of-seat"

5. Without this custom udev rule, seat0 will change his property "CanGraphical" from "no" to "yes", so LightDM fails to spawn a greeter on it.

I don't believe that systemd developers will accept to ship this udev rule in upstream releases, because they only support open-source drivers.

The right thing to do right now is reporting a bug to NVIDIA proprietary driver's Ubuntu package maintainers, asking them to ship a suitable udev rule like the one above. There's nothing to do with lightdm in this case.

Laércio de Sousa (lbssousa) wrote :

Errata:

5. Without this custom udev rule, seat0 will NEVER change his property "CanGraphical" from "no" to "yes", so LightDM fails to spawn a greeter on it.

Robert Ancell (robert-ancell) wrote :

Also seems related to bug 1365165

Elfy (elfy) wrote :

Fifth alternative:
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", DRIVERS=="nvidia", TAG+="master-of-seat"

Sixth alternative:
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", ATTRS{vendor}=="0x10de", DRIVERS=="nvidia", TAG+="master-of-seat"

Both of these alternatives boot correctly to desktop with CanGraphical=yes

Elfy (elfy) wrote :

"The right thing to do right now is reporting a bug to NVIDIA proprietary driver's Ubuntu package maintainers, asking them to ship a suitable udev rule like the one above. There's nothing to do with lightdm in this case."

Can the bug not be changed to affecting that/those packages?

Robert Ancell (robert-ancell) wrote :

Nice work on the udev rules! Does anyone know if other distributions have added rules like this? e.g. Fedora?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Michał Sawicz (saviq) wrote :

I can confirm adding the "Sixth alternative rule" got me a working desktop again.

affects: nvidia-graphics-drivers (Ubuntu) → nvidia-graphics-drivers-331-updates (Ubuntu)
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-304 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu):
status: New → Triaged
Changed in fglrx-installer-updates (Ubuntu):
status: New → Triaged
Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: New → Triaged
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-331 (Ubuntu):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-304 (Ubuntu):
importance: Undecided → Critical
Changed in fglrx-installer (Ubuntu):
importance: Undecided → Critical
Changed in fglrx-installer-updates (Ubuntu):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → In Progress
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → In Progress
Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: Triaged → In Progress
Changed in fglrx-installer (Ubuntu):
status: Triaged → In Progress
Changed in fglrx-installer-updates (Ubuntu):
status: Triaged → In Progress
Laércio de Sousa (lbssousa) wrote :

@robert-ancell I believe not, but I'm not sure. This udev rule I propose is a derivative of other ideas proposed by Ubuntu Multiseat team members.

When that "master-of-seat" concept was introduced in systemd, Lennart Poettering suggested that a suitable udev rule should be included in upstream NIVDIA proprietary driver. Right now we could include it in downstream nvidia-graphics-drivers Ubuntu packages (and even requesting its inclusion in Debian packages). At a second moment we could submit it to upstream.

Laércio de Sousa (lbssousa) wrote :

For future reference to nvidia-graphics-drivers maintainers: I suggest to install a file named

/usr/lib/udev/rules.d/71-seat-nvidia.rules

with the sixth alternative proposed above:

SUBSYSTEM=="drm", KERNEL=="card[0-9]*", ATTRS{vendor}=="0x10de", DRIVERS=="nvidia", TAG+="master-of-seat"

Alberto Milone (albertomilone) wrote :

Thank you for reporting the problem and for debugging it, and thank you, Laércio, for providing a solution.

I have just uploaded a fix for the relevant nvidia drivers. An update for fglrx will follow soon.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-331 - 331.89-0ubuntu3

---------------
nvidia-graphics-drivers-331 (331.89-0ubuntu3) utopic; urgency=medium

  * debian/71-nvidia.rules, debian/nvidia-persistenced.conf,
    debian/start-nvidia-persistenced, debian/stop-nvidia-persistenced,
    debian/templates/nvidia-graphics-drivers.install.in:
    - Tag devices for logind (LP: #1365336).
    - Start and stop nvidia-persistenced using udev rules. This
      gets rid of the upstart job.
 -- Alberto Milone <email address hidden> Fri, 05 Sep 2014 14:59:17 +0200

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-331-updates - 331.89-0ubuntu3

---------------
nvidia-graphics-drivers-331-updates (331.89-0ubuntu3) utopic; urgency=medium

  * debian/71-nvidia.rules, debian/nvidia-persistenced.conf,
    debian/start-nvidia-persistenced, debian/stop-nvidia-persistenced,
    debian/templates/nvidia-graphics-drivers.install.in:
    - Tag devices for logind (LP: #1365336).
    - Start and stop nvidia-persistenced using udev rules. This
      gets rid of the upstart job.
 -- Alberto Milone <email address hidden> Fri, 05 Sep 2014 15:01:18 +0200

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-304 - 304.123-0ubuntu3

---------------
nvidia-graphics-drivers-304 (304.123-0ubuntu3) utopic; urgency=medium

  * debian/71-nvidia.rules,
    debian/templates/nvidia-graphics-drivers.install.in:
    - Tag devices for logind (LP: #1365336).
 -- Alberto Milone <email address hidden> Fri, 05 Sep 2014 15:19:01 +0200

Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: In Progress → Fix Released
Elfy (elfy) wrote :

renamed my .rules file after getting the update through. Rebooted perfectly.

@alberto and Laércio - thanks for the help and rapid fix :)

dino99 (9d9) wrote :

utopic + lightdm 1.11.8 + nvidia-331 (newest): black screen (nvidia-331 has a nvidia-prime error, so the 'nouveau' fallback is used)

utopic + gdm boots well with 'nouveau' only

nvidia-331 report lp:1366284

Laércio de Sousa (lbssousa) wrote :

I've crated a topic in NVIDIA DevZone Forums about shipping this udev rule. Someone have pointed out about the possibility of no kernel devices (like /dev/dri/card*) being available, since they are not created by NVIDIA drivers, but by other kernel modules.

So I'm proposing this alternative udev rule as a fallback for the case we cannot guarantee /dev/dri/card* is available in the system:

SUBSYSTEM=="pci", ATTRS{vendor}=="0x10de", DRIVER=="nvidia", TAG+="seat", TAG+="master-of-seat"

Marc Deslauriers (mdeslaur) wrote :

This also affects the xserver-xorg-video-vmware driver when running utopic in a VM.

Laércio de Sousa (lbssousa) wrote :

@mdeslaur I was unable to reproduce your error here. I've just installed and updated Lubuntu 14.10beta1 in a VMware Player VM and everything goes fine. Could you provide some more info about your VM (lightdm logs, Xorg logs, etc.)?

Changed in xserver-xorg-video-vesa (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-vmware (Ubuntu):
status: New → Confirmed
Elfy (elfy) wrote :

attached lightdm.log, Xorg.0.log, syslog, kern.log and dmesg from a failing VBox daily boot

daily synced today

same seat0 issue noted (dupe bug lp:1366206)

Elfy (elfy) wrote :

loginctl seat-status seat0 for all 3

Xubuntu

seat0
 Sessions: *c6 c5 c4 c3 c2 c1
  Devices:
    ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
    │ input:input0 "Power Button"
    ├─/sys/devices/LNXSYSTM:00/LNXSLPBN:00/input/input1
    │ input:input1 "Sleep Button"
    ├─/sys/device...01.1/ata2/host1/target1:0:0/1:0:0:0/block/sr0
    │ block:sr0
    ├─/sys/device...a2/host1/target1:0:0/1:0:0:0/scsi_generic/sg0
    │ scsi_generic:sg0
    ├─/sys/devices/pci0000:00/0000:00:05.0/sound/card0
    │ sound:card0 "I82801AAICH"
    ├─/sys/devices/pci0000:00/0000:00:06.0/usb1
    │ usb:usb1
    │ └─/sys/device...-1/1-1:1.0/0003:80EE:0021.0001/input/input5
    │ input:input5 "VirtualBox USB Tablet"
    ├─/sys/devices/platform/i8042/serio0/input/input2
    │ input:input2 "AT Translated Set 2 keyboard"
    └─/sys/devices/platform/i8042/serio1/input/input4
      input:input4 "ImExPS/2 Generic Explorer Mouse"

Ubuntu

seat0
 Sessions: c7 *c6 c5 c4 c3 c2 c1
  Devices:
    ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
    │ input:input0 "Power Button"
    ├─/sys/devices/LNXSYSTM:00/LNXSLPBN:00/input/input1
    │ input:input1 "Sleep Button"
    ├─/sys/device...01.1/ata2/host1/target1:0:0/1:0:0:0/block/sr0
    │ block:sr0
    ├─/sys/device...a2/host1/target1:0:0/1:0:0:0/scsi_generic/sg0
    │ scsi_generic:sg0
    ├─/sys/devices/pci0000:00/0000:00:05.0/sound/card0
    │ sound:card0 "I82801AAICH"
    ├─/sys/devices/pci0000:00/0000:00:06.0/usb2
    │ usb:usb2
    │ └─/sys/device...-1/2-1:1.0/0003:80EE:0021.0001/input/input5
    │ input:input5 "VirtualBox USB Tablet"
    ├─/sys/devices/pci0000:00/0000:00:0b.0/usb1
    │ usb:usb1
    ├─/sys/devices/platform/i8042/serio0/input/input2
    │ input:input2 "AT Translated Set 2 keyboard"
    ├─/sys/devices/platform/i8042/serio1/input/input4
    │ input:input4 "ImExPS/2 Generic Explorer Mouse"
    └─/sys/devices/virtual/misc/rfkill
      misc:rfkill

Lubuntu

seat0
 Sessions: *c6 c5 c4 c3 c2 c1
  Devices:

Elfy (elfy) wrote :

Lubuntu

Xubuntu

seat0
 Sessions: *c6 c5 c4 c3 c2 c1
  Devices:
    ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
    │ input:input0 "Power Button"
    ├─/sys/devices/LNXSYSTM:00/LNXSLPBN:00/input/input1
    │ input:input1 "Sleep Button"
    ├─/sys/device...01.1/ata2/host1/target1:0:0/1:0:0:0/block/sr0
    │ block:sr0
    ├─/sys/device...a2/host1/target1:0:0/1:0:0:0/scsi_generic/sg0
    │ scsi_generic:sg0
    ├─/sys/devices/pci0000:00/0000:00:05.0/sound/card0
    │ sound:card0 "I82801AAICH"
    ├─/sys/devices/pci0000:00/0000:00:06.0/usb1
    │ usb:usb1
    │ └─/sys/device...-1/1-1:1.0/0003:80EE:0021.0001/input/input5
    │ input:input5 "VirtualBox USB Tablet"
    ├─/sys/devices/platform/i8042/serio0/input/input2
    │ input:input2 "AT Translated Set 2 keyboard"
    └─/sys/devices/platform/i8042/serio1/input/input4
      input:input4 "ImExPS/2 Generic Explorer Mouse"

Ubuntu

seat0
 Sessions: c7 *c6 c5 c4 c3 c2 c1
  Devices:
    ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
    │ input:input0 "Power Button"
    ├─/sys/devices/LNXSYSTM:00/LNXSLPBN:00/input/input1
    │ input:input1 "Sleep Button"
    ├─/sys/device...01.1/ata2/host1/target1:0:0/1:0:0:0/block/sr0
    │ block:sr0
    ├─/sys/device...a2/host1/target1:0:0/1:0:0:0/scsi_generic/sg0
    │ scsi_generic:sg0
    ├─/sys/devices/pci0000:00/0000:00:05.0/sound/card0
    │ sound:card0 "I82801AAICH"
    ├─/sys/devices/pci0000:00/0000:00:06.0/usb2
    │ usb:usb2
    │ └─/sys/device...-1/2-1:1.0/0003:80EE:0021.0001/input/input5
    │ input:input5 "VirtualBox USB Tablet"
    ├─/sys/devices/pci0000:00/0000:00:0b.0/usb1
    │ usb:usb1
    ├─/sys/devices/platform/i8042/serio0/input/input2
    │ input:input2 "AT Translated Set 2 keyboard"
    ├─/sys/devices/platform/i8042/serio1/input/input4
    │ input:input4 "ImExPS/2 Generic Explorer Mouse"
    └─/sys/devices/virtual/misc/rfkill
      misc:rfkill

Lubuntu

seat0
 Sessions: *c6 c5 c4 c3 c2 c1
  Devices:

Elfy (elfy) wrote :

Lubuntu (sorry about the #54 spam - should just have been the whole of this)

seat0
 Sessions: *c6 c5 c4 c3 c2 c1
  Devices:
    ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
    │ input:input0 "Power Button"
    ├─/sys/devices/LNXSYSTM:00/LNXSLPBN:00/input/input1
    │ input:input1 "Sleep Button"
    ├─/sys/device...01.1/ata2/host1/target1:0:0/1:0:0:0/block/sr0
    │ block:sr0
    ├─/sys/device...a2/host1/target1:0:0/1:0:0:0/scsi_generic/sg0
    │ scsi_generic:sg0
    ├─/sys/devices/pci0000:00/0000:00:05.0/sound/card0
    │ sound:card0 "I82801AAICH"
    ├─/sys/devices/pci0000:00/0000:00:06.0/usb2
    │ usb:usb2
    │ └─/sys/device...-1/2-1:1.0/0003:80EE:0021.0001/input/input5
    │ input:input5 "VirtualBox USB Tablet"
    ├─/sys/devices/pci0000:00/0000:00:0b.0/usb1
    │ usb:usb1
    ├─/sys/devices/platform/i8042/serio0/input/input2
    │ input:input2 "AT Translated Set 2 keyboard"
    └─/sys/devices/platform/i8042/serio1/input/input4
      input:input4 "ImExPS/2 Generic Explorer Mouse"

Laércio de Sousa (lbssousa) wrote :

According with your "loginctl seat-status seat0" outputs, it seems your live session lacks framebuffer devices (/dev/fb*) for VirtualBox/VMware. Just for comparison, my Lubuntu system installed in a VirtualBox VM does have a framebuffer device, so I suspect some needed kernel module for providing framebuffer devices in VirtualBox is missing/not loaded for a live session.

Anyway, this problem with CanGraphical=no seat0 are strictly related to the lack of framebuffer devices in the system, so it can't be related to xserver-xorg-video-* drivers.

@robert-ancell, in fact, CanGraphical property check was never implemented in GDM, although there's a 2-years-old open bug by Lennart:
https://bugzilla.gnome.org/show_bug.cgi?id=678535

I will write to systemd-devel mailing list asking for suggestions. In the meanwhile, it's better to make CanGraphical check in lightdm optional (and disabled by default until we can address these issues with missing framebuffer devices).

Elfy (elfy) wrote :

Thanks. Hopefully something will get sorted before Final Beta.

Marc Deslauriers (mdeslaur) wrote :

Here are my logs with utopic installed in kvm with the vmvga driver:

seat0
 Sessions: *c1
  Devices:
    ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
    │ input:input0 "Power Button"
    ├─/sys/device...01.1/ata2/host1/target1:0:0/1:0:0:0/block/sr0
    │ block:sr0
    ├─/sys/device...a2/host1/target1:0:0/1:0:0:0/scsi_generic/sg0
    │ scsi_generic:sg0
    ├─/sys/devices/pci0000:00/0000:00:01.2/usb1
    │ usb:usb1
    ├─/sys/devices/platform/i8042/serio0/input/input1
    │ input:input1 "AT Translated Set 2 keyboard"
    ├─/sys/devices/platform/i8042/serio1/input/input3
    │ input:input3 "ImExPS/2 Generic Explorer Mouse"
    ├─/sys/devices/virtual/misc/kvm
    │ misc:kvm
    └─/sys/devices/virtual/misc/rfkill
      misc:rfkill

Marc Deslauriers (mdeslaur) wrote :
  • logs Edit (134.6 KiB, application/x-tar)
Marc Deslauriers (mdeslaur) wrote :

Id=seat0
ActiveSession=c1
CanMultiSession=yes
CanTTY=yes
CanGraphical=no
Sessions=c1
IdleHint=no
IdleSinceHint=1410263200256000
IdleSinceHintMonotonic=394137924

Laércio de Sousa (lbssousa) wrote :

Here are my test results on latest Lubuntu 14.10 daily build booted in live mode on both VirtualBox 4.3.14 and VMware Player 6.0.3:

VirtualBox: FAILED (no framebuffer devices available, probably required kernel module "vboxvideo" is missing in the Live DVD). Same results as @elfy

VMWare Player: PASSED (framebuffer device named "svgadrmfb" available, probably provided by kernel module "vmwgfx" included in the Live DVD).

On 08-09-14 12:23:24, Laércio de Sousa wrote:
> I've crated a topic in NVIDIA DevZone Forums about shipping this udev
> rule. Someone have pointed out about the possibility of no kernel
> devices (like /dev/dri/card*) being available, since they are not
> created by NVIDIA drivers, but by other kernel modules.
>
> So I'm proposing this alternative udev rule as a fallback for the case
> we cannot guarantee /dev/dri/card* is available in the system:
>
> SUBSYSTEM=="pci", ATTRS{vendor}=="0x10de", DRIVER=="nvidia",
> TAG+="seat", TAG+="master-of-seat"
>

Ok, it makes sense, I'll test and update the rules accordingly for fglrx
and nvidia.

Thanks for the update.

--
Alberto Milone

"probably required kernel module "vboxvideo" is missing in the Live DVD"

would appear to be the case, from the Xorg log

[ 225.827] (II) LoadModule: "vboxvideo"
[ 225.827] (WW) Warning, couldn't open module vboxvideo
[ 225.827] (II) UnloadModule: "vboxvideo"
[ 225.827] (II) Unloading vboxvideo
[ 225.827] (EE) Failed to load module "vboxvideo" (module does not exist, 0)

Changed in lightdm (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
importance: Undecided → High
importance: High → Critical
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.11.9-0ubuntu1

---------------
lightdm (1.11.9-0ubuntu1) utopic; urgency=medium

    * New upstream release:
     - Don't check the logind CanGraphical seat property unless
       login-check-graphical option is set to true. There are too many cases of
       drivers that don't set the appropriate flags for this feature to work.
       (LP: #1365336)
     - Make socket writing code used between greeter and daemon more robust to
       errors.
     - Fix small memory leaks.
     - Improve logging messages.
     - Test improvements.
 -- Robert Ancell <email address hidden> Wed, 10 Sep 2014 15:47:36 +1200

Changed in lightdm (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:14.201-0ubuntu1

---------------
fglrx-installer-updates (2:14.201-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control.in, debian/com.ubuntu.amdcccle.pkexec.policy:
    - Make amdcccle depend on polkit-1.
    - Use pkexec for amdcccle when running Unity.
  * debian/dkms.conf.in:
    - Drop all the patches.
  * debian/substvars:
    - Add support for xorg-video-abi-18 (LP: #1359769).
  * debian/71-fglrx.rules:
    - Tag the device for logind (LP: #1365336).
 -- Alberto Milone <email address hidden> Tue, 09 Sep 2014 18:00:48 +0200

Changed in fglrx-installer-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:14.201-0ubuntu1

---------------
fglrx-installer (2:14.201-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control.in, debian/com.ubuntu.amdcccle.pkexec.policy:
    - Make amdcccle depend on polkit-1.
    - Use pkexec for amdcccle when running Unity.
  * debian/dkms.conf.in:
    - Drop all the patches.
  * debian/substvars:
    - Add support for xorg-video-abi-18 (LP: #1359769).
  * debian/71-fglrx.rules:
    - Tag the device for logind (LP: #1365336).
 -- Alberto Milone <email address hidden> Tue, 09 Sep 2014 17:48:30 +0200

Changed in fglrx-installer (Ubuntu):
status: In Progress → Fix Released
Elfy (elfy) wrote :

@Robert Ancell - thanks - synced and booted Xubuntu image in vbox

Robert Ancell (robert-ancell) wrote :

I've made the CanGraphical support optional and off by default as suggested by Laércio. However, it is still good to update the various drivers to register with udev so this feature can work. This feature is likely to be useful in speeding up boot and making sure we're not racing the drivers. It may provide solutions to bug 969489 or bug 873495.

Download full text (4.0 KiB)

I think I'm experiencing the same problem now after updating Ubuntu. Same hardware and driver setup as the others. The tracker says these bugs were fixed, but does that mean 'apt-get update && apt-get upgrade' should solve my issue? It doesn't seem to change anything.

output from show-seat:

 Id=seat0
 ActiveSession=c3
 CanMultiSession=yes
 CanTTY=yes
 CanGraphical=yes
 Sessions=c3 c2
 IdleHint=no
 IdleSinceHint=1410592992324421
 IdleSinceHintMonotonic=314779186

output from seat-status:

seat0
 Sessions: *c3 c2
  Devices:
    ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
    │ input:input1 "Power Button"
    ├─/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0
    │ input:input0 "Power Button"
    ├─/sys/devices/pci0000:00/0000:00:02.0/0000:01:00.0/drm/card0
    │ drm:card0
    ├─/sys/device...0000:00/0000:00:02.0/0000:01:00.1/sound/card2
    │ sound:card2 "NVidia"
    │ ├─/sys/device...00:00:02.0/0000:01:00.1/sound/card2/input16
    │ │ input:input16 "HDA NVidia HDMI/DP,pcm=3"
    │ ├─/sys/device...00:00:02.0/0000:01:00.1/sound/card2/input17
    │ │ input:input17 "HDA NVidia HDMI/DP,pcm=7"
    │ ├─/sys/device...00:00:02.0/0000:01:00.1/sound/card2/input18
    │ │ input:input18 "HDA NVidia HDMI/DP,pcm=8"
    │ └─/sys/device...00:00:02.0/0000:01:00.1/sound/card2/input19
    │ input:input19 "HDA NVidia HDMI/DP,pcm=9"
    ├─/sys/devices/pci0000:00/0000:00:0a.0/0000:03:00.0/usb8
    │ usb:usb8
    ├─/sys/devices/pci0000:00/0000:00:0a.0/0000:03:00.0/usb9
    │ usb:usb9
    ├─/sys/devices/pci0000:00/0000:00:12.0/usb4
    │ usb:usb4
    │ ├─/sys/device...0000:00:12.0/usb4/4-1/4-1:1.0/input/input20
    │ │ input:input20 "SteelSeries World of War...O Gaming Mouse"
    │ ├─/sys/device...0000:00:12.0/usb4/4-5/4-5:1.0/input/input21
    │ │ input:input21 "Corsair Corsair Vengeance K90 Keyboard"
    │ ├─/sys/device...0000:00:12.0/usb4/4-5/4-5:1.1/input/input22
    │ │ input:input22 "Corsair Corsair Vengeance K90 Keyboard"
    │ └─/sys/device...0000:00:12.0/usb4/4-5/4-5:1.2/input/input23
    │ input:input23 "Corsair Corsair Vengeance K90 Keyboard"
    ├─/sys/devices/pci0000:00/0000:00:12.2/usb1
    │ usb:usb1
    ├─/sys/devices/pci0000:00/0000:00:13.0/usb5
    │ usb:usb5
    │ ├─/sys/device...0000:00:13.0/usb5/5-3/5-3:1.0/input/input14
    │ │ input:input14 "Logitech Gaming Mouse G502"
    │ └─/sys/device...0000:00:13.0/usb5/5-3/5-3:1.1/input/input15
    │ input:input15 "Logitech Gaming Mouse G502"
    ├─/sys/devices/pci0000:00/0000:00:13.2/usb2
    │ usb:usb2
    ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0
    │ sound:card0 "SB"
    │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input10
    │ │ input:input10 "HDA ATI SB Line Out Surround"
    │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input11
    │ │ input:input11 "HDA ATI SB Line Out CLFE"
    │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input12
    │ │ input:input12 "HDA ATI SB Line Out Side"
    │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input13
    │ │ input:input13 "HDA ATI SB Front Headphone"
    │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input6
    │ │ input:input6 "HDA ATI SB Front Mic"
    │ ├─/sys/devices/pci0000:00/0000:00:...

Read more...

Changed in xserver-xorg-video-vesa (Ubuntu):
importance: Undecided → Critical
Changed in xserver-xorg-video-vmware (Ubuntu):
importance: Undecided → Critical
summary: - Lightdm update=No desktop
+ After upgrading lightdm, system boots to the tty1 terminal
description: updated

Please:
- Report to <https://bugs.freedesktop.org/>.
- Paste the new report URL here.
- Set this bug status back to "confirmed".

Changed in xserver-xorg-video-vesa (Ubuntu):
status: Confirmed → Incomplete
tags: added: asked-to-upstream
Changed in xserver-xorg-video-vmware (Ubuntu):
status: Confirmed → Incomplete
dino99 (9d9) wrote :

That report concern Utopic, which support has now ended.
We can see that no recent activity have been made, nor dupe(s) report.
Sp proposing to close that report now.

Changed in xserver-xorg-video-vmware (Ubuntu):
status: Incomplete → Invalid
Changed in xserver-xorg-video-vesa (Ubuntu):
status: Incomplete → Invalid
Changed in xorg-server:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.